summaryrefslogtreecommitdiff
path: root/network/scli/scli.SlackBuild
diff options
context:
space:
mode:
authorMenno Duursma <druiloor@zonnet.nl>2010-05-13 00:38:12 +0200
committerRobby Workman <rworkman@slackbuilds.org>2010-05-13 00:38:12 +0200
commit970351448ca62423727332cea6cec4fdc3045740 (patch)
treeef8aea645aad1117532aed95a7c3fe34bdf99e7a /network/scli/scli.SlackBuild
parentdcea5ec04047c4d4eb39e6c1e7136e93f6213224 (diff)
downloadslackbuilds-970351448ca62423727332cea6cec4fdc3045740.tar.gz
network/scli: Updated for version 0.3.1
Diffstat (limited to 'network/scli/scli.SlackBuild')
-rw-r--r--network/scli/scli.SlackBuild34
1 files changed, 25 insertions, 9 deletions
diff --git a/network/scli/scli.SlackBuild b/network/scli/scli.SlackBuild
index fa267bc7ca..e9d12fd84b 100644
--- a/network/scli/scli.SlackBuild
+++ b/network/scli/scli.SlackBuild
@@ -1,10 +1,15 @@
#!/bin/sh
-# Slackware build script for scli
-# Written by Menno E. Duursma <druiloor@zonnet.nl>
+# Slackware build script for SCLI
+
+# Written by Menno Duursma <druiloor@zonnet.nl>
+
+# This program is free software. It comes without any warranty.
+# Granted WTFPL, Version 2, as published by Sam Hocevar. See
+# http://sam.zoy.org/wtfpl/COPYING for more details.
PRGNAM=scli
-VERSION=0.3.1
+VERSION=${VERSION:-0.3.1}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -16,8 +21,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e # Exit on most errors
@@ -36,17 +46,22 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
- --infodir=/usr/info
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
)
( cd $PKG/usr/man
@@ -55,14 +70,15 @@ make install DESTDIR=$PKG
)
rm -f $PKG/usr/info/dir
-gzip -9 $PKG/usr/info/*.info*
+gzip -9 $PKG/usr/info/*
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a [A-Z][A-Z]* ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS PORTING README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}